package com.ads.business.service;

import com.ads.business.service.model.request.AdmUserListRequest;
import com.ads.business.service.model.request.EditUserRequest;
import com.ads.business.service.model.request.ResetPasswordRequest;
import com.ads.common.data.JsonResult;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/25 9:32
 * @Destription
 */
public interface AdmUserService {
    JsonResult list(AdmUserListRequest request);

    JsonResult add(EditUserRequest request);

    JsonResult update(EditUserRequest request);

    /**
     * 获取用户详情
     *
     * @param userId 用户ID
     * @return 返回结果信息
     */
    JsonResult detail(Long userId);

    /**
     * 状态开关
     *
     * @param id     用户ID
     * @param status 用户状态
     * @return
     */
    JsonResult updateSwitch(Long id, Integer status);

    /**
     * 重置密码
     *
     * @param request 重置密码入参
     * @return JsonResult
     */
    JsonResult resetPassword(ResetPasswordRequest request);
}
